#!/bin/sh
### ====================================================================== ###
##                                                                          ##
## PingFederate Startup Script                                              ##
##                                                                          ##
### ====================================================================== ###

### $Id: run.sh,v 1.9.2.5 2004/01/01 01:20:38 starksm Exp $ ###

DIRNAME=`dirname $0`

cygwin=false;
sunos=false;
case "`uname`" in
    CYGWIN*)
        cygwin=true
        ;;
        
    SunOS*)
        sunos=true
        ;;
esac

# For Cygwin, ensure paths are in UNIX format before anything is touched
if $cygwin ; then
    [ -n "$JBOSS_HOME" ] &&
        JBOSS_HOME=`cygpath --unix "$JBOSS_HOME"`
    [ -n "$JAVA_HOME" ] &&
        JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
    [ -n "$JAVAC_JAR" ] &&
        JAVAC_JAR=`cygpath --unix "$JAVAC_JAR"`
fi

# Setup JBOSS_HOME
if [ "x$JBOSS_HOME" = "x" ]; then
    # get the full path (without any relative bits)
    JBOSS_HOME=`cd $DIRNAME/..; pwd`
fi
export JBOSS_HOME

# Check for currently running instance of PingFederate
RUNFILE=$JBOSS_HOME/bin/pingfederate.pid
if $sunos ; then
	if [ ! -f $RUNFILE ] ; then
    	touch $RUNFILE
    	chmod 664 $RUNFILE
	fi
else
	if [ ! -e $RUNFILE ] ; then
    	touch $RUNFILE
    	chmod 664 $RUNFILE
	fi
fi
CURRENT_PID=`cat $RUNFILE`
if [ -n "$CURRENT_PID" ] ; then 
    kill -0 $CURRENT_PID 2>/dev/null
    if [ $? -eq 0 ] ; then
		/bin/echo "Another PingFederate instance with pid $CURRENT_PID is already running. Exiting."
		exit 1
    fi
fi

# Execute the run.sh script
/bin/echo "PingFederate is starting ..."
sh "$JBOSS_HOME/bin/run.sh" 1>/dev/null 2>/dev/null &
status=$?
exit $status
